package sovellus.komennot;

import sovellus.IntJoukko;
import sovellus.IntJoukkoSovellus;


public class LisaaJoukkoon extends Komento {
    public LisaaJoukkoon(IntJoukkoSovellus sovellus) {
        super(sovellus);
    }
    
    @Override
    public void suorita() {
        String joukkoMj = sovellus.lueMerkkijono("mihin joukkoon lisätään: ");
        IntJoukko kohde = sovellus.haeJoukko(joukkoMj);
        if ( kohde==null) {
            System.out.println("ei olemassa joukkoa "+joukkoMj);
            sovellus.suoritaKomento("joukot");
            return;
        }
            
        int lisattava = sovellus.lueInt("lisättävä: ");
        kohde.lisaa(lisattava);
    }
    
}
