package sovellus.komennot;

import sovellus.IntJoukko;
import sovellus.IntJoukkoSovellus;

public class NaytaSisalto extends Komento {

    public NaytaSisalto(IntJoukkoSovellus sovellus) {
        super(sovellus);
    }
    
    @Override
    public void suorita() {
        String joukkoMj = sovellus.lueMerkkijono("minkä joukon alkiot haluat nähdä ");
        IntJoukko joukko = sovellus.haeJoukko(joukkoMj);
        if ( joukko==null) {
            System.out.println("ei olemassa joukkoa "+joukkoMj);
            sovellus.suoritaKomento("joukot");
            return;
        }
        System.out.println( joukko );
    }
    
}
